package com.fs.store.domain;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 售后记录对象 fs_store_after_sales
 *
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreAfterSales extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundAmount;

    /** 服务类型0仅退款1退货退款 */
    @Excel(name = "服务类型0仅退款1退货退款")
    private Integer serviceType;

    /** 申请原因 */
    @Excel(name = "申请原因")
    private String reasons;

    /** 说明 */
    @Excel(name = "说明")
    private String explains;

    /** 说明图片->多个用逗号分割 */
    @Excel(name = "说明图片->多个用逗号分割")
    private String explainImg;

    /** 物流公司编码 */
    @Excel(name = "物流公司编码")
    private String shipperCode;

    /** 物流单号 */
    @Excel(name = "物流单号")
    private String deliverySn;

    /** 物流名称 */
    @Excel(name = "物流名称")
    private String deliveryName;

    /** 状态 0已提交等待平台审核 1平台已审核 等待用户发货/退款 2 用户已发货 3退款成功 */
    @Excel(name = "状态 0已提交等待平台审核 1平台已审核 等待用户发货/退款 2 用户已发货 3退款成功")
    private Integer status;

    /** 售后状态-0正常1用户取消2商家拒绝 */
    @Excel(name = "售后状态-0正常1用户取消2商家拒绝")
    private Integer salesStatus;

    @Excel(name = "订单当前状态")
    private Integer orderStatus;

    /** 逻辑删除 */
    @Excel(name = "逻辑删除")
    private Integer isDel;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 商家收货人 */
    @Excel(name = "商家收货人")
    private String consignee;

    /** 商家手机号 */
    @Excel(name = "商家手机号")
    private String phoneNumber;

    /** 商家地址 */
    @Excel(name = "商家地址")
    private String address;

    private Long companyId;

    private Long companyUserId;

    private Integer isPackage;

    private String packageJson;

    private String companyUserNickName;

    private Integer deliveryStatus;

    private Long deptId;
    private String consigneePhone;

    /** 开始时间 */
    @JsonIgnore
    private String beginTime;

    /** 结束时间 */
    @JsonIgnore
    private String endTime;

    @Override
    public String getBeginTime() {
        return beginTime;
    }

    @Override
    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    @Override
    public String getEndTime() {
        return endTime;
    }

    @Override
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getConsigneePhone() {
        return consigneePhone;
    }

    public void setConsigneePhone(String consigneePhone) {
        this.consigneePhone = consigneePhone;
    }

    public Integer getDeliveryStatus() {
        return deliveryStatus;
    }

    public void setDeliveryStatus(Integer deliveryStatus) {
        this.deliveryStatus = deliveryStatus;
    }

    public String getCompanyUserNickName() {
        return companyUserNickName;
    }

    public void setCompanyUserNickName(String companyUserNickName) {
        this.companyUserNickName = companyUserNickName;
    }

    public Integer getIsPackage() {
        return isPackage;
    }

    public void setIsPackage(Integer isPackage) {
        this.isPackage = isPackage;
    }

    public String getPackageJson() {
        return packageJson;
    }

    public void setPackageJson(String packageJson) {
        this.packageJson = packageJson;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getCompanyUserId() {
        return companyUserId;
    }

    public void setCompanyUserId(Long companyUserId) {
        this.companyUserId = companyUserId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public BigDecimal getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getServiceType() {
        return serviceType;
    }

    public void setServiceType(Integer serviceType) {
        this.serviceType = serviceType;
    }

    public String getReasons() {
        return reasons;
    }

    public void setReasons(String reasons) {
        this.reasons = reasons;
    }

    public String getExplains() {
        return explains;
    }

    public void setExplains(String explains) {
        this.explains = explains;
    }

    public String getExplainImg() {
        return explainImg;
    }

    public void setExplainImg(String explainImg) {
        this.explainImg = explainImg;
    }

    public String getShipperCode() {
        return shipperCode;
    }

    public void setShipperCode(String shipperCode) {
        this.shipperCode = shipperCode;
    }

    public String getDeliverySn() {
        return deliverySn;
    }

    public void setDeliverySn(String deliverySn) {
        this.deliverySn = deliverySn;
    }

    public String getDeliveryName() {
        return deliveryName;
    }

    public void setDeliveryName(String deliveryName) {
        this.deliveryName = deliveryName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSalesStatus() {
        return salesStatus;
    }

    public void setSalesStatus(Integer salesStatus) {
        this.salesStatus = salesStatus;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Long getDeptId() {return deptId;}

    public void setDeptId(Long deptId) {this.deptId = deptId;}
}
